> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Syncs

> List all Syncs for a Connected User



## OpenAPI

````yaml get /api/syncs
openapi: 3.0.0
info:
  title: Paragon Sync API
  description: API for managing Syncs and permissions for Connected Users
  version: 1.0.0
servers:
  - url: https://sync.useparagon.com
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/syncs:
    get:
      summary: List Syncs
      description: List all Syncs for a Connected User
      parameters:
        - name: credentialId
          in: query
          required: false
          schema:
            type: string
          description: >-
            Filter syncs by credential UUID. Use this to list syncs for a
            specific credential when you have multiple credentials for the same
            integration.
          example: 0aea7d3a-b5f7-4488-890e-d51a5cf4f8f1
      responses:
        '200':
          description: List of Syncs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncsResponse'
components:
  schemas:
    SyncsResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            type: object
            required:
              - id
              - integration
              - pipeline
              - status
            properties:
              id:
                type: string
                description: Unique identifier for the Sync
              integration:
                type: string
                description: The integration this Sync uses
              pipeline:
                type: string
                description: The type of Synced Object being synced
              status:
                $ref: '#/components/schemas/StatusField'
              reason:
                type: string
                description: >-
                  If the sync status is `ERRORED`, this field will be populated
                  with a message explaining why the sync failed.
                example: Credential ID [id] is no longer valid or has been deleted.
              configurationName:
                type: string
                description: >-
                  The name of the Sync configuration as provided when the Sync
                  was created
              dateCreated:
                type: string
                format: date-time
                description: The date and time the Sync was created
              dateUpdated:
                type: string
                format: date-time
                description: The date and time the Sync was last updated
              credentialId:
                type: string
                description: The ID of the credential used to authenticate this Sync
    StatusField:
      type: string
      enum:
        - INITIALIZING
        - ACTIVE
        - IDLE
        - DISABLED
        - ERRORED
      description: "Current state of Sync activity.\nPossible values:\n- `INITIALIZING`: The Sync has just been created and is pending its first run.\n- `ACTIVE`: The Sync is actively fetching new data.\n- `IDLE`: The Sync has completed and is watching for updates to synced data.\n\t- Check `summary.lastSyncedAt` to see if the sync has successfully completed.\n- `DISABLED`: The Sync has been paused temporarily by the [Disable a Sync](/managed-sync/api/disable-sync) endpoint.\n- `ERRORED`: The Sync has been suspended due to an error. Check [Webhook Events](/managed-sync/webhooks) for additional error details."
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Paragon User Token. Add to the Authorization header of your requests.

````